Bug 526257 - (dash) don't read-uninitialized for \177 in a here-doc
Summary: (dash) don't read-uninitialized for \177 in a here-doc
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dash
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-29 14:14 UTC by Jim Meyering
Modified: 2013-03-13 20:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-21 08:48:45 UTC


Attachments (Terms of Use)

Description Jim Meyering 2009-09-29 14:14:23 UTC
Description of problem: on some systems, a \177 byte in a here document
causes dash to malfunction.  If you're lucky, the uninitialized memory
that is read as a result does not cause trouble.  The memory is not on
the heap, so valgrind does not notice the problem.


Version-Release number of selected component (if applicable):


How reproducible: every time


Steps to Reproduce:
1. append an entry of value 11 to the sqsyntax table
2. rebuild
3. printf ':<<\\E\n\200y\nE'|./dash
  
Actual results:
$ printf ':<<\\E\n\177y\nE'|dash
    dash: y: not found
    dash: E: not found


Expected results:
no output

Additional info:
more details and a patch: http://thread.gmane.org/gmane.comp.shells.dash/196

Comment 1 Warren Togami 2009-10-20 22:31:10 UTC
http://git.kernel.org/?p=utils/dash/dash.git;a=shortlog
I see this hasn't been committed upstream.  Has upstream responded at all about this issue?

Comment 2 Jim Meyering 2009-10-21 06:37:21 UTC
Yes.  He said he was away and would apply it upon his return.

Comment 3 Bug Zapper 2009-11-16 13:05:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora Admin XMLRPC Client 2010-03-18 05:24:52 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Huzaifa S. Sidhpurwala 2010-06-21 08:48:45 UTC
dash-0_5_6-2_fc14 in rawhide is based on new upstream 0.5.6 which fixes this problem.


Note You need to log in before you can comment on or make changes to this bug.